View Issue Details

IDProjectCategoryView StatusLast Update
0000330Pgpool-IIBugpublic2017-08-24 22:27
ReportercohavisiAssigned Tot-ishii 
PriorityurgentSeverityblockReproducibilityrandom
Status resolvedResolutionopen 
PlatformALLOSCentOSOS Version6.8
Product Version3.6.4 
Target Version3.6.6Fixed in Version 
Summary0000330: Unable to connect to pgpool-II using jdbc
DescriptionHi,
using pgpool-II 3.6.4 and postgresql9 (9.3.5) , I facing an jDBC connection problems (connection get stuck) when connected to pgpool (everything working fine using same connection directly to postgres node)



load_balance_mode=off
replication_mode=off
master_slave_mode=on
master_slave_sub_mode='stream'

PGPASSWORD=fabrix psql -U fabrix -h 10.65.169.170 -p 9999 -d manager -c "show pool_nodes"
 node_id | hostname | port | status | lb_weight | role | select_cnt | load_balance_node | replication_delay
---------+---------------+------+--------+-----------+---------+------------+-------------------+-------------------
 0 | 10.65.161.169 | 5432 | up | 0.500000 | primary | 17089436 | true | 0
 1 | 10.65.161.170 | 5432 | up | 0.500000 | standby | 0 | false | 0

jdbc connection:
<Realm className="org.apache.catalina.realm.JDBCRealm" connectionName="fabrix" connectionPassword="fabrix" connectionURL="jdbc:postgresql://10.65.169.170:9999/manager" debug="99" digest="MD5" driverName="org.postgresql.Driver" roleNameCol="rolename" userCredCol="user_password" userNameCol="user_name" userRoleTable="user_roles" userTable="users_tbl" />


stuck transaction:

CREATE SEQUENCE users_user_id



Additional Informationpgpool.log:

2017-08-14 13:59:37: pid 18854: DETAIL: destination = 0 for query= "CREATE SEQUENCE users_user_id"
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:459
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:P
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:H
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_send_and_wait: send flush message to 0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:992
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: called by pool_add_sent_message: sent message: address: 0x177bc40 kind: P name: == state:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:455
2017-08-14 13:59:37: pid 18854: DEBUG: adding sent message to list
2017-08-14 13:59:37: pid 18854: DETAIL: prepared statement "" already exists
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:536
2017-08-14 13:59:37: pid 18854: DEBUG: called by pool_sent_message_destroy: sent message: address: 0x177b990 kind: P name: == state:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:455
2017-08-14 13:59:37: pid 18854: DEBUG: checking if query context can be safely destroyed
2017-08-14 13:59:37: pid 18854: DETAIL: query context 0x177dd60 is still used 2 times in sent message list. query:"SET extra_float_digits = 3"
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:907
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_add: message type:0 message len:33 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1143
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind 'B'(42) from frontend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 18854: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:287
2017-08-14 13:59:37: pid 18854: DEBUG: Bind: waiting for master completing the query
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:1373
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:B
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: called by pool_add_sent_message: sent message: address: 0x177b990 kind: B name: == state:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:455
2017-08-14 13:59:37: pid 18854: DEBUG: adding sent message to list
2017-08-14 13:59:37: pid 18854: DETAIL: portal "" already exists
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:532
2017-08-14 13:59:37: pid 18854: DEBUG: called by pool_sent_message_destroy: sent message: address: 0x177bad8 kind: B name: == state:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:455
2017-08-14 13:59:37: pid 18854: DEBUG: pool_query_context_destroy: query context:0x177dd60
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:91
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_add: message type:1 message len:8 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1143
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind 'D'(44) from frontend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 18854: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:287
2017-08-14 13:59:37: pid 18854: DEBUG: Describe: waiting for master completing the query
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:1460
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:D
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_add: message type:3 message len:2 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1143
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind 'E'(45) from frontend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 18854: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:287
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: Execute: portal name <>
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:703
2017-08-14 13:59:37: pid 18854: DEBUG: Execute: query string = <CREATE SEQUENCE users_user_id>
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:736
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:E
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:H
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_send_and_wait: send flush message to 0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:992
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_add: message type:2 message len:5 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1143
2017-08-14 13:59:37: pid 18854: DEBUG: Execute: TSTATE:I
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:897
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_head_message: message type:0 message len:33 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1182
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: pending message exists. query context: 0x177ed80
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3188
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: where_to_send[0]:1 [1]:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3196
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_read: read 5 bytes from backend 0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:190
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: reading backend data packet kind
2017-08-14 13:59:37: pid 18854: DETAIL: backend:0 kind:'1'
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3267
2017-08-14 13:59:37: pid 18854: DEBUG: reading backend data packet kind
2017-08-14 13:59:37: pid 18854: DETAIL: backend:0 of 2 kind = '1'
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3315
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend max_count:1.000000 num_executed_nodes:1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3331
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: pending message was pulled out
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3621
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_pull_out: message type:0 message len:33 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1218
2017-08-14 13:59:37: pid 18854: DEBUG: processing backend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind '1'(31) from backend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2548
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: SimpleForwardToFrontend: packet:1 length:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:818
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting command success. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:773
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind 'S'(53) from frontend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 18854: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting doing extended query messaging. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:287
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_add: message type: sync
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1146
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 0 kind:S
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_write: to backend: 1 kind:S
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 18854: DEBUG: pool_read: read 6 bytes from backend 1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:190
2017-08-14 13:59:37: pid 18854: DEBUG: detect error: kind: Z
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:4122
2017-08-14 13:59:37: pid 18854: DEBUG: detect error: kind: Z
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:4122
2017-08-14 13:59:37: pid 18854: DEBUG: detect error: kind: Z
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:4122
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_head_message: message type:1 message len:8 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1182
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: pending message exists. query context: 0x177ed80
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3188
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: where_to_send[0]:1 [1]:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3196
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: reading backend data packet kind
2017-08-14 13:59:37: pid 18854: DETAIL: master node id: 0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3207
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 19733: DETAIL: received kind 'Q'(51) from frontend
2017-08-14 13:59:37: pid 19733: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 19733: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 19733: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 19733: DEBUG: SimpleQuery
2017-08-14 13:59:37: pid 19733: DETAIL: nodes reporting
2017-08-14 13:59:37: pid 19733: LOCATION: pool_proto_modules.c:404
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_query_context_destroy: query context:0x177dd60
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:91
2017-08-14 13:59:37: pid 19733: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 19733: DEBUG: session context: setting skip reading from backends. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:256
2017-08-14 13:59:37: pid 18854: DEBUG: pool_read: read 117 bytes from backend 0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_stream.c:190
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: reading backend data packet kind
2017-08-14 13:59:37: pid 18854: DETAIL: backend:0 kind:'2'
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3267
2017-08-14 13:59:37: pid 18854: DEBUG: reading backend data packet kind
2017-08-14 13:59:37: pid 18854: DETAIL: backend:0 of 2 kind = '2'
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3315
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend max_count:1.000000 num_executed_nodes:1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3331
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: pending message was pulled out
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3621
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_pull_out: message type:1 message len:8 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1218
2017-08-14 13:59:37: pid 18854: DEBUG: processing backend response
2017-08-14 13:59:37: pid 18854: DETAIL: received kind '2'(32) from backend
2017-08-14 13:59:37: pid 18854: LOCATION: pool_proto_modules.c:2548
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 18854: DEBUG: SimpleForwardToFrontend: packet:2 length:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:818
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting command success. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:773
2017-08-14 13:59:37: pid 18854: DEBUG: session context: unsetting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:237
2017-08-14 13:59:37: pid 18854: DEBUG: pool_pending_message_head_message: message type:3 message len:2 query:CREATE SEQUENCE users_user_id statement: portal: node_ids[0]:0 node_ids[1]:-1
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:1182
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: pending message exists. query context: 0x177ed80
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3188
2017-08-14 13:59:37: pid 18854: DEBUG: read_kind_from_backend: where_to_send[0]:1 [1]:0
2017-08-14 13:59:37: pid 18854: LOCATION: pool_process_query.c:3196
2017-08-14 13:59:37: pid 18854: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 18854: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 19733: DEBUG: processing frontend response
2017-08-14 13:59:37: pid 19733: DETAIL: received kind 'Q'(51) from frontend
2017-08-14 13:59:37: pid 19733: LOCATION: pool_proto_modules.c:2317
2017-08-14 13:59:37: pid 19733: DEBUG: session context: clearing doing extended query messaging. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:298
2017-08-14 13:59:37: pid 19733: DEBUG: session context: setting query in progress. DONE
2017-08-14 13:59:37: pid 19733: LOCATION: pool_session_context.c:226
2017-08-14 13:59:37: pid 19733: DEBUG: decide where to send the query
2017-08-14 13:59:37: pid 19733: DETAIL: destination = 3 for query= "COMMIT"
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:459
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID
:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_write: to backend: 0 kind:Q
2017-08-14 13:59:37: pid 19733: LOCATION: pool_stream.c:436
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0
2017-08-14 13:59:37: pid 19733: LOCATION: pool_query_context.c:330
2017-08-14 13:59:37: pid 19733: DEBUG: waiting for query response
2017-08-14 13:59:37: pid 19733: DETAIL: waiting for backend:0 to complete the query
2017-08-14 13:59:37: pid 19733: LOCATION: pool_process_query.c:488
2017-08-14 13:59:37: pid 18854: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:0 load_balance_node_id:0 PRIMARY_NODE_ID:0

catalina.out log:

Aug 14, 2017 2:25:54 PM org.apache.catalina.core.AprLifecycleListener init
INFO: The APR based Apache Tomcat Native library which allows optimal performance in production environments was not found on the java.library.path: /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
Aug 14, 2017 2:25:54 PM org.apache.tomcat.util.digester.SetPropertiesRule begin
WARNING: [SetPropertiesRule]{Server/Service/Engine/Realm} Setting property 'debug' to '99' did not find a matching property.
Aug 14, 2017 2:25:55 PM org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8282
Aug 14, 2017 2:25:55 PM org.apache.coyote.http11.Http11Protocol init
INFO: Initializing Coyote HTTP/1.1 on http-8443
Aug 14, 2017 2:25:55 PM org.apache.catalina.startup.Catalina load
INFO: Initialization processed in 1355 ms
Aug 14, 2017 2:25:55 PM org.apache.catalina.core.StandardService start
INFO: Starting service Catalina
Aug 14, 2017 2:25:55 PM org.apache.catalina.core.StandardEngine start
INFO: Starting Servlet Engine: Apache Tomcat/6.0.24
Aug 14, 2017 2:25:55 PM org.apache.catalina.realm.JDBCRealm start
SEVERE: Exception opening database connection
java.sql.SQLException: org.postgresql.Driver
    at org.apache.catalina.realm.JDBCRealm.open(JDBCRealm.java:704)
    at org.apache.catalina.realm.JDBCRealm.start(JDBCRealm.java:786)
    at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1037)
    at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:443)
    at org.apache.catalina.core.StandardService.start(StandardService.java:516)
    at org.apache.catalina.core.StandardServer.start(StandardServer.java:710)
    at org.apache.catalina.startup.Catalina.start(Catalina.java:593)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
    at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:289)
    at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:414)

Aug 14, 2017 2:25:55 PM org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive FabrixManager.war
Aug 14, 2017 2:25:56 PM org.apache.catalina.loader.WebappClassLoader validateJarFile
INFO: validateJarFile(/usr/share/tomcat6/webapps/FabrixManager/WEB-INF/lib/servlet-api.jar) - jar not loaded. See Servlet Spec 2.3, section 9.7.2. Offending class: javax/servlet/Servlet.class
log4j:ERROR Could not find value for key log4j.appender.file
log4j:ERROR Could not instantiate appender named "file".
[org.springframework.web.servlet.FrameworkServlet] INFO 14:25:57.173: FrameworkServlet 'mvc': initialization started
[org.springframework.context.support.AbstractApplicationContext] INFO 14:25:57.304: Refreshing WebApplicationContext for namespace 'mvc-servlet': startup date [Mon Aug 14 14:25:57 IDT 2017]; root of context hierarchy
[org.springframework.beans.factory.xml.XmlBeanDefinitionReader] INFO 14:25:57.447: Loading XML bean definitions from ServletContext resource [/WEB-INF/mvc-servlet.xml]
[org.springframework.beans.factory.support.DefaultListableBeanFactory] INFO 14:26:00.997: Pre-instantiating singletons in org.springframework.beans.factory.support.DefaultListableBeanFactory@50b9206f: defining beans [addEditBlade,addAsset,editPostscriptConfiguration,graphiteDataHandler,rsdvrMonitoringWindow,viewSwitchEditor,viewRollingBuffers,testPage,settings,viewVideoDashboard,viewError,searchSchedulerHomesResults,addEditChannel,addEditCDNProfile,genericStreamsCounter,addEditVideoEncoding,addEditProxyRegion,addEditSchedulerHome,viewLicenses,searchDiskHistory,viewSinglePltv,viewDiskStatistics,viewWorkflows,viewRBArchive,viewPltv,uploadAddRackTemplate,viewSearchFtpReply,viewSchedulerChannels,editVs,addEditSchedulerSubscriberClass,addEditTSBTier,viewNasUsers,viewScheduleRecordingStatusReply,login,viewAllSessions,viewSessionsPerVs,logout,viewRecordings,viewVideoEncodings,searchStreams,addEditDRMProfile,viewFtpProcess,searchRecordings,addEditCompressionGroup,searchSchedulerAggregatedRecordings,warningController,viewSchedulerEpg,viewFilesConsistency,viewVideoSessions,searchVod,viewNas,viewVideoErrors,viewHomeProfiles,viewVideoJITX,securityController,treeController,viewUserActions,viewRegion,viewAllRegions,addEditHomeProfile,addEditStorageProfile,viewDeviceProfiles,checkBoxManager,viewHealthDashboard,viewScheduler,viewCdnStatus,viewRecordingsByProxy,viewDiskUtilities,vod,treeStatus,viewDashboard,viewFeed,genericCharts,searchRsdvrBoxesResult,viewLoadBalance,sessionDataController,viewBlade,viewVolumeJobDetails,viewTranscoder,viewSingleRollingBuffer,importExportController,viewAllChannels,addRack,notSecure,viewVideoBalancing,searchSchedulerRecordingsResults,addEditPlayoutProfile,viewVsGroups,utils,genericExport,trickPlay,viewCanaryGroups,viewTSBConfiguration,trafficlight,viewEvents,layout,searchSchedulerPrograms,viewDRMProfiles,storageProfileSettings,addEditWorkflow,addEditRegion,proxyManager,viewTranscoderProcess,pageAwareHelpController,addEditDeviceProfile,searchSchedulerRecordings,viewStorageProfiles,viewSchedulerSubscriberClasses,viewTSBTiers,viewMainDashboard,viewAdZone,searchRsdvrBoxes,addEditCanaryGroup,viewDisk,viewUsers,viewVolume,performanceCountersController,addEditUser,viewPlugins,viewSystemStatus,viewAudioEncodings,viewSrm,viewCompressionGroups,viewStreamProcess,searchSchedulerProgramsResults,addEditAudioEncoding,searchStreamsResults,genericDiskUtils,searchSchedulerChannels,viewCDNProfiles,viewAsset,viewPlayoutProfiles,graphiteController,viewCdn,viewVideoserver,searchSchedulerHomes,viewSecurity,FXErrorController,viewConfigurations,streamsDashboard,org.springframework.context.annotation.internalConfigurationAnnotationProcessor,org.springframework.context.annotation.internalAutowiredAnnotationProcessor,org.springframework.context.annotation.internalRequiredAnnotationProcessor,org.springframework.context.annotation.internalCommonAnnotationProcessor,graphiteProcessHandler,multipartResolver,fxApplicationListenerUp,fxApplicationListenerDown,messageSource,localeResolver,configuration,fxparser,annotationsParser,jdbc,http,permissionsManager,baseController,validator,mvcContentNegotiationManager,org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerMapping#0,org.springframework.format.support.FormattingConversionServiceFactoryBean#0,org.springframework.validation.beanvalidation.LocalValidatorFactoryBean#0,org.springframework.web.servlet.mvc.method.annotation.RequestMappingHandlerAdapter#0,org.springframework.web.servlet.handler.MappedInterceptor#0,org.springframework.web.servlet.mvc.method.annotation.ExceptionHandlerExceptionResolver#0,org.springframework.web.servlet.mvc.annotation.ResponseStatusExceptionResolver#0,org.springframework.web.servlet.mvc.support.DefaultHandlerExceptionResolver#0,org.springframework.web.servlet.handler.BeanNameUrlHandlerMapping,org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter,org.springframework.web.servlet.mvc.SimpleControllerHandlerAdapter,fxURLInterceptor,org.springframework.web.servlet.handler.MappedInterceptor#1,org.springframework.web.servlet.handler.MappedInterceptor#2,org.springframework.web.servlet.handler.MappedInterceptor#3,getHomeProfilesRenderer,getMulticastChannelGetAllRenderer,getWarningRenderer,monitNotificationsMap,getDRMProfilesRenderer,getPlayoutProfilesRenderer,getBoxesRenderer,getRecordingsRenderer,getAssetPropertiesRenderer,getRSDVRAssetStatusRenderer,getLastSessionsRenderer,schedulerSubscriberClassRenderer,cdnProfileGetAllRenderer,helpPagesMap,dozerMapper,org.springframework.context.annotation.ConfigurationClassPostProcessor.importAwareProcessor]; root of factory hierarchy
[org.hibernate.validator.internal.util.Version] INFO 14:26:01.134: HV000001: Hibernate Validator 4.3.1.Final
[com.fx.utils.Configuration] INFO 14:26:01.275:


[com.fx.jdbc.FXBaseJDBCActions] INFO 14:26:01.560: Sending: CREATE SEQUENCE users_user_id
TagsNo tags attached.

Activities

cohavisi

2017-08-14 20:31

reporter  

pgpool_log.tar.bz2 (2,534,952 bytes)
pgpool.conf (22,220 bytes)

t-ishii

2017-08-16 16:01

developer   ~0001662

Not reproduced here using Pgpool-II 3.6.4 and pgproto.

t-ishii@localhost: pgproto -p 11000 -d test -f pgproto9.data
FE=> Parse(stmt="", query="BEGIN")
FE=> Bind(stmt="", portal="")
FE=> Execute(portal="")
FE=> Parse(stmt="", query="CREATE SEQUENCE users_user_id")
FE=> Bind(stmt="", portal="")
FE=> Describe(stmt="")
FE=> Execute(portal="")
FE=> Parse(stmt="", query="COMMIT")
FE=> Bind(stmt="", portal="")
FE=> Execute(portal="")
FE=> Sync
<= BE ParseComplete
<= BE BindComplete
<= BE CommandComplete(BEGIN)
<= BE ParseComplete
<= BE BindComplete
<= BE ParameterDescription
<= BE NoData
<= BE CommandComplete(CREATE SEQUENCE)
<= BE ParseComplete
<= BE BindComplete
<= BE CommandComplete(COMMIT)
<= BE ReadyForQuery(I)
FE=> Terminate

cohavisi

2017-08-16 17:22

reporter   ~0001663

Hi,
Thanks for your replay.
the issue reproduce when performing pgpool failover and failback few time.
performing postgresql recovery using pcp_recovery_node...
pgpool[MASTER] - >pgpool [SLAVE]

t-ishii

2017-08-16 17:49

developer   ~0001664

I did fail over twice and did pcp_recovery_node twice. Still does not reproduce here...

t-ishii

2017-08-16 17:53

developer   ~0001665

Maybe the problem only happens when there's the sequence already created? I already tried the case here, but just in case I want to know.

cohavisi

2017-08-16 21:46

reporter   ~0001666

Hi,
can you attach the pgproto9.data.
I want to test it via my environment...
Thanks..

cohavisi

2017-08-16 22:02

reporter   ~0001667

yes,
this specific sequence is already created...but it should not cause any issues..

cohavisi

2017-08-16 22:27

reporter   ~0001668

Hi,
only when I delete the sequences and the tables ... the tomcat is able to start. it stuck on every query..

[root@mgrdb-55 ~]# psql -U postgres -d manager -h 192.168.15.59 -p 9999
Password for user postgres:
psql (9.3.5)
Type "help" for help.

my actions:
manager=# DROP SEQUENCE users_user_id;
DROP SEQUENCE
manager=# DROP SEQUENCE user_action_req;
DROP SEQUENCE
manager=# DROP TABLE roles;
DROP TABLE
manager=# DROP TABLE user_roles;
DROP TABLE
manager=# DROP TABLE users_tbl;
DROP TABLE
manager=# DROP TABLE user_actions;
DROP TABLE



catalina.out:
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.583: Sending: CREATE SEQUENCE users_user_id
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.596: Sending: CREATE SEQUENCE user_action_req
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.604: Sending: CREATE TABLE roles (rolename VARCHAR(20) NOT NULL, UNIQUE(rolename))
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.628: Sending: CREATE TABLE user_roles (user_name VARCHAR(20) NOT NULL, rolename VARCHAR(20) NOT NULL, user_id INTEGER NOT NULL, UNIQUE(user_id))
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.637: Sending: CREATE TABLE users_tbl (user_id SERIAL PRIMARY KEY, user_name VARCHAR(100) UNIQUE NOT NULL, user_password VARCHAR(100), user_role VARCHAR(100), user_email VARCHAR(100),can_delete INTEGER, change_pwd INTEGER, settings varchar(200), failed_login_tries INTEGER, last_failed_login_date BIGINT, pass_change_date BIGINT DEFAULT 0, old_pass TEXT DEFAULT '');
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.653: Sending: CREATE TABLE user_actions (user_id INTEGER, user_name VARCHAR(100), user_action VARCHAR (255), action_time timestamp, user_role VARCHAR(100), user_ip VARCHAR(100), INDEX SERIAL PRIMARY KEY)
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.673: Sending: INSERT INTO roles VALUES('super')
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.676: Sending: INSERT INTO roles VALUES('admin')
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.679: Sending: INSERT INTO roles VALUES('user')
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.681: Sending: INSERT INTO roles VALUES('guest')
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.683: Sending: INSERT INTO user_roles VALUES('super', 'super', 1)
[com.fx.jdbc.FXBaseJDBCActions] INFO 16:24:21.685: Sending: INSERT INTO users_tbl (user_name, user_password, user_role, can_delete, change_pwd, pass_change_date, old_pass) VALUES ('super' , '0baea2f0ae20150db78f58cddac442a9', 1, 0, 0, 0, '0baea2f0ae20150db78f58cddac442a9')
[com.fx.jdbc.FXBaseJDBCActions] ERROR 16:24:21.692: Error while doing DB initializations: Cannot commit when autoCommit is enabled.
[com.fx.utils.Configuration] INFO 16:24:21.699:
Web application's configuration:
    add.volume.chunk.size : 1155072
    application.manager.email : admin@dot.com
    application.type : vidfx
    brand : fx
    cdn.max.bandwidth : 10000
    client.ajax.timeout : 35
    connection.time.out : 10
    debug.level : 1
    default.disk.configuration : 12,4,1,6,8
    default.nas.gui.gid : 65534
    default.nas.gui.mode : 493
    default.nas.gui.uid : 65534
    delete.log.file.after : 3
    jdbc.connect.url : jdbc:postgresql://192.168.15.59:9999/manager
    jdbc.driver.classname : org.postgresql.Driver
    jdbc.password : fabrix
    jdbc.username : fabrix
    manager.address : 192.168.15.57:5929
    monitoring.graphite.system.prefix : Shay_Riemann_mon_agent
    monitoring.graphite.url : http://192.168.15.31:8055/render/
    proxy.manager.address : null
    service.group.display : 2
    service.group.edit.vs.limit : 500
    show.main.dashboard : true
    show.nas : true
    show.nas.dashboard : true
    show.transcoder : true
    supported.transcoder.resolution : 352x240,352x288,640x480,704x480,704x576,720x480,720x576,1280x720,1920x1080
    supported.trick.play.scale : 1/8,1/4,1/2,1,2,3,4,6,8,9,12,16,18,24,30,33,36
    syslog.facility : LOCAL0
    traffic.refresh : 30
    traffic.refresh.enable : true
    tree.refresh.enable : true
    tree.refresh.value : 5
    user.actions.delete.time : 30
    user.checkbox.limit : 100
    vs.groups.replication : 1,2




any ideas??

t-ishii

2017-08-17 00:07

developer   ~0001669

Pgpool-II debug log please.

cohavisi

2017-08-17 01:06

reporter   ~0001670

The pgpool log which describe the stuck "CREATE SEQUENCE users_user_id" is attached!

t-ishii

2017-08-17 07:29

developer   ~0001671

I cannot find the log...

cohavisi

2017-08-17 17:22

reporter   ~0001672

pgpool_log.tar.bz2 is attached to the first activity (my first comment)

t-ishii

2017-08-17 17:35

developer   ~0001673

I have already read pgpool_log.tar.bz2 but could not figured out what's wrong.
If the SQL error could trigger the problem, recent fixes may help you, especially this:
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=commit;h=6881a5a88ccbef6153cb4723352279904e2ac863

I recommend you to try the git repo head.
https://git.postgresql.org/gitweb/?p=pgpool2.git;a=snapshot;h=b457abe2a4b92657c3ac2a8f6c36e13172d8deaa;sf=tgz

cohavisi

2017-08-22 21:33

reporter   ~0001677

Hi,
looks like the issue has been solved , no JDBC connection errors as before!
Should it be committed on the 3.6.4 and 3.6.5 branches?

Thanks.

t-ishii

2017-08-23 06:31

developer   ~0001678

Since the link is for 3.6 stable tree, it will be in next 3.6 series release: 3.6.6.

cohavisi

2017-08-23 16:58

reporter   ~0001679

Hi ,
Thanks for your response, Do you have release date estimation?

t-ishii

2017-08-23 22:58

developer   ~0001681

Not decided yet, but I personally think around end of August to beginning of September.

t-ishii

2017-08-24 22:26

developer   ~0001683

The date was fixed: September 5th.

Issue History

Date Modified Username Field Change
2017-08-14 20:31 cohavisi New Issue
2017-08-14 20:31 cohavisi File Added: pgpool.conf
2017-08-14 20:31 cohavisi File Added: pgpool_log.tar.bz2
2017-08-16 16:01 t-ishii Note Added: 0001662
2017-08-16 17:22 cohavisi Note Added: 0001663
2017-08-16 17:49 t-ishii Note Added: 0001664
2017-08-16 17:53 t-ishii Note Added: 0001665
2017-08-16 21:46 cohavisi Note Added: 0001666
2017-08-16 22:02 cohavisi Note Added: 0001667
2017-08-16 22:27 cohavisi Note Added: 0001668
2017-08-17 00:07 t-ishii Note Added: 0001669
2017-08-17 01:06 cohavisi Note Added: 0001670
2017-08-17 07:29 t-ishii Note Added: 0001671
2017-08-17 17:22 cohavisi Note Added: 0001672
2017-08-17 17:35 t-ishii Note Added: 0001673
2017-08-17 17:58 t-ishii Assigned To => t-ishii
2017-08-17 17:58 t-ishii Status new => feedback
2017-08-22 21:33 cohavisi Note Added: 0001677
2017-08-22 21:33 cohavisi Status feedback => assigned
2017-08-23 06:31 t-ishii Note Added: 0001678
2017-08-23 16:58 cohavisi Note Added: 0001679
2017-08-23 22:58 t-ishii Note Added: 0001681
2017-08-24 22:26 t-ishii Note Added: 0001683
2017-08-24 22:27 t-ishii Status assigned => resolved
2017-08-24 22:27 t-ishii Target Version => 3.6.6